# Linux Kernel Module Cheat

##### 14.2.2.3. QEMU graphic mode arm VGA

TODO: how to use VGA on ARM? https://stackoverflow.com/questions/20811203/how-can-i-output-to-vga-through-qemu-arm Tried:

    -device VGA

But https://github.com/qemu/qemu/blob/v2.12.0/docs/config/mach-virt-graphical.cfg#L264 says:

    # We use virtio-gpu because the legacy VGA framebuffer is
    # very troublesome on aarch64, and virtio-gpu is the only
    # video device that doesn't implement it.

so maybe it is not possible?